%define         real_version 1.3.4-1

Name:           dcfldd
Version:        1.3.4.1
Release:        %mkrel 3
Summary:        Improved dd, useful for forensics and security

Group:          Security
#Fedora license analysis: it applies to Mageia
#Whole dcfldd is licensed as GPLv2+
#sha1.c sha1.h BSD Type license - Allan Saddi <allan@saddi.com>
#sha2.c sha2.h BSD Type license - Aaron D. Gifford <me@aarongifford.com>
#md5.c Copyright RSA
# Note that we are using the RSA MD5 code without license.
# See: https://fedoraproject.org/wiki/Licensing:FAQ#MD5
License:        GPLv2+ and BSD and Copyright Only
URL:            http://dcfldd.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{real_version}.tar.gz


%description
dcfldd is an enhanced version of GNU dd with features useful for forensics
and security. dcfldd has the following additional features:

   * Hashing on-the-fly - dcfldd can hash the input data as it is being
     transferred, helping to ensure data integrity.
   * Status output - dcfldd can update the user of its progress in terms of
     the amount of data transferred and how much longer operation will take.
   * Flexible disk wipes - dcfldd can be used to wipe disks quickly
     and with a known pattern if desired.
   * Image/wipe Verify - dcfldd can verify that a target drive is a
     bit-for-bit match of the specified input file or pattern.
   * Multiple outputs - dcfldd can output to multiple files or disks at
     the same time.
   * Split output - dcfldd can split output to multiple files with more
     configuration possibilities than the split command.
   * Piped output and logs - dcfldd can send all its log data and output
     to commands as well as files.

%prep
%setup -q -n %{name}-%{real_version}

%build
%configure
%make

%install

make install DESTDIR="%{buildroot}" INSTALL="install -p"


%files
%doc AUTHORS ChangeLog COPYING INSTALL README
%{_mandir}/man1/dcfldd.1*
%{_bindir}/dcfldd



%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.3.4.1-3.mga3
+ Revision: 348668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 1.3.4.1-2.mga3
+ Revision: 310508
- update RPM group

* Mon Dec 19 2011 malo <malo> 1.3.4.1-1.mga2
+ Revision: 184296
- imported package dcfldd

